      *****************************************************************
      *                HEXTABLE is a COBOL Copy File                  *
      *            Table for Hexadecimal Dump and Display.            *
      *         Copyright (C) 1987-2019 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *****************************************************************
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
      *                                                               *
      * The following table contains 256, 5-byte elements.            *
      *                                                               *
      * The format of the table elements is as follows                *
      * Byte  Function                                                *
      *  1-2  Two-byte hexadecimal print value                        *
      *    3  Print character for EBCDIC                              *
      *    4  Print character for ASCII                               *
      *    5  0 - non-printable                                       *
      *       1 - printable for EBCDIC                                *
      *       2 - printable for ASCII                                 *
      *       3 - printable for Both                                  *
      *                                                               *
      * Notice the technique used for an ASCII apostrophe (X'27')     *
      * and an EBCDIC apostrphe (X'7D'). The value content is         *
      * enclosed in double quotes to allow for the definition of      *
      * an apostrophe (or single quote) within the field.             *
      * Please Note: This feature requires the COBOL/390 dialect.     *
      *                      Version 18.07.15                         *
      *****************************************************************
      *
       01  TABLE-OF-DATA.
           05  HEX-00  PIC X(5)    VALUE '00..0'.
           05  HEX-01  PIC X(5)    VALUE '01..0'.
           05  HEX-02  PIC X(5)    VALUE '02..0'.
           05  HEX-03  PIC X(5)    VALUE '03..0'.
           05  HEX-04  PIC X(5)    VALUE '04..0'.
           05  HEX-05  PIC X(5)    VALUE '05..0'.
           05  HEX-06  PIC X(5)    VALUE '06..0'.
           05  HEX-07  PIC X(5)    VALUE '07..0'.
           05  HEX-08  PIC X(5)    VALUE '08..0'.
           05  HEX-09  PIC X(5)    VALUE '09..0'.
           05  HEX-0A  PIC X(5)    VALUE '0A..0'.
           05  HEX-0B  PIC X(5)    VALUE '0B..0'.
           05  HEX-0C  PIC X(5)    VALUE '0C..0'.
           05  HEX-0D  PIC X(5)    VALUE '0D..0'.
           05  HEX-0E  PIC X(5)    VALUE '0E..0'.
           05  HEX-0F  PIC X(5)    VALUE '0F..0'.

           05  HEX-10  PIC X(5)    VALUE '10..0'.
           05  HEX-11  PIC X(5)    VALUE '11..0'.
           05  HEX-12  PIC X(5)    VALUE '12..0'.
           05  HEX-13  PIC X(5)    VALUE '13..0'.
           05  HEX-14  PIC X(5)    VALUE '14..0'.
           05  HEX-15  PIC X(5)    VALUE '15..0'.
           05  HEX-16  PIC X(5)    VALUE '16..0'.
           05  HEX-17  PIC X(5)    VALUE '17..0'.
           05  HEX-18  PIC X(5)    VALUE '18..0'.
           05  HEX-19  PIC X(5)    VALUE '19..0'.
           05  HEX-1A  PIC X(5)    VALUE '1A..0'.
           05  HEX-1B  PIC X(5)    VALUE '1B..0'.
           05  HEX-1C  PIC X(5)    VALUE '1C..0'.
           05  HEX-1D  PIC X(5)    VALUE '1D..0'.
           05  HEX-1E  PIC X(5)    VALUE '1E..0'.
           05  HEX-1F  PIC X(5)    VALUE '1F..0'.

           05  HEX-20  PIC X(5)    VALUE '20. 2'.
           05  HEX-21  PIC X(5)    VALUE '21.!2'.
           05  HEX-22  PIC X(5)    VALUE '22."2'.
           05  HEX-23  PIC X(5)    VALUE '23.#2'.
           05  HEX-24  PIC X(5)    VALUE '24.$2'.
           05  HEX-25  PIC X(5)    VALUE '25.%2'.
           05  HEX-26  PIC X(5)    VALUE '26.&2'.
           05  HEX-27  PIC X(5)    VALUE "27.'2".
           05  HEX-28  PIC X(5)    VALUE '28.(2'.
           05  HEX-29  PIC X(5)    VALUE '29.)2'.
           05  HEX-2A  PIC X(5)    VALUE '2A.*2'.
           05  HEX-2B  PIC X(5)    VALUE '2B.+2'.
           05  HEX-2C  PIC X(5)    VALUE '2C.,2'.
           05  HEX-2D  PIC X(5)    VALUE '2D.-2'.
           05  HEX-2E  PIC X(5)    VALUE '2E..2'.
           05  HEX-2F  PIC X(5)    VALUE '2F./2'.

           05  HEX-30  PIC X(5)    VALUE '30.02'.
           05  HEX-31  PIC X(5)    VALUE '31.12'.
           05  HEX-32  PIC X(5)    VALUE '32.22'.
           05  HEX-33  PIC X(5)    VALUE '33.32'.
           05  HEX-34  PIC X(5)    VALUE '34.42'.
           05  HEX-35  PIC X(5)    VALUE '35.52'.
           05  HEX-36  PIC X(5)    VALUE '36.62'.
           05  HEX-37  PIC X(5)    VALUE '37.72'.
           05  HEX-38  PIC X(5)    VALUE '38.82'.
           05  HEX-39  PIC X(5)    VALUE '39.92'.
           05  HEX-3A  PIC X(5)    VALUE '3A.:2'.
           05  HEX-3B  PIC X(5)    VALUE '3B.;2'.
           05  HEX-3C  PIC X(5)    VALUE '3C.<2'.
           05  HEX-3D  PIC X(5)    VALUE '3D.=2'.
           05  HEX-3E  PIC X(5)    VALUE '3E.>2'.
           05  HEX-3F  PIC X(5)    VALUE '3F.?2'.

           05  HEX-40  PIC X(5)    VALUE '40 @3'.
           05  HEX-41  PIC X(5)    VALUE '41.A2'.
           05  HEX-42  PIC X(5)    VALUE '42.B2'.
           05  HEX-43  PIC X(5)    VALUE '43.C2'.
           05  HEX-44  PIC X(5)    VALUE '44.D2'.
           05  HEX-45  PIC X(5)    VALUE '45.E2'.
           05  HEX-46  PIC X(5)    VALUE '46.F2'.
           05  HEX-47  PIC X(5)    VALUE '47.G2'.
           05  HEX-48  PIC X(5)    VALUE '48.H2'.
           05  HEX-49  PIC X(5)    VALUE '49.I2'.
           05  HEX-4A  PIC X(5)    VALUE '4A.J2'.
           05  HEX-4B  PIC X(5)    VALUE '4B.K3'.
           05  HEX-4C  PIC X(5)    VALUE '4C<L3'.
           05  HEX-4D  PIC X(5)    VALUE '4D(M3'.
           05  HEX-4E  PIC X(5)    VALUE '4E+N3'.
           05  HEX-4F  PIC X(5)    VALUE '4F|O3'.

           05  HEX-50  PIC X(5)    VALUE '50&P3'.
           05  HEX-51  PIC X(5)    VALUE '51.Q2'.
           05  HEX-52  PIC X(5)    VALUE '52.R2'.
           05  HEX-53  PIC X(5)    VALUE '53.S2'.
           05  HEX-54  PIC X(5)    VALUE '54.T2'.
           05  HEX-55  PIC X(5)    VALUE '55.U2'.
           05  HEX-56  PIC X(5)    VALUE '56.V2'.
           05  HEX-57  PIC X(5)    VALUE '57.W2'.
           05  HEX-58  PIC X(5)    VALUE '58.X2'.
           05  HEX-59  PIC X(5)    VALUE '59.Y2'.
           05  HEX-5A  PIC X(5)    VALUE '5A!Z3'.
           05  HEX-5B  PIC X(5)    VALUE '5B$[3'.
           05  HEX-5C  PIC X(5)    VALUE '5C*\3'.
           05  HEX-5D  PIC X(5)    VALUE '5D)]3'.
           05  HEX-5E  PIC X(5)    VALUE '5E;^3'.
           05  HEX-5F  PIC X(5)    VALUE '5F_3'.

           05  HEX-60  PIC X(5)    VALUE '60-`3'.
           05  HEX-61  PIC X(5)    VALUE '61/a3'.
           05  HEX-62  PIC X(5)    VALUE '62.b2'.
           05  HEX-63  PIC X(5)    VALUE '63.c2'.
           05  HEX-64  PIC X(5)    VALUE '64.d2'.
           05  HEX-65  PIC X(5)    VALUE '65.e2'.
           05  HEX-66  PIC X(5)    VALUE '66.f2'.
           05  HEX-67  PIC X(5)    VALUE '67.g2'.
           05  HEX-68  PIC X(5)    VALUE '68.h2'.
           05  HEX-69  PIC X(5)    VALUE '69.i2'.
           05  HEX-6A  PIC X(5)    VALUE '6Aj3'.
           05  HEX-6B  PIC X(5)    VALUE '6B,k3'.
           05  HEX-6C  PIC X(5)    VALUE '6C%l3'.
           05  HEX-6D  PIC X(5)    VALUE '6D_m3'.
           05  HEX-6E  PIC X(5)    VALUE '6E>n3'.
           05  HEX-6F  PIC X(5)    VALUE '6F?o3'.

           05  HEX-70  PIC X(5)    VALUE '70.p2'.
           05  HEX-71  PIC X(5)    VALUE '71.q2'.
           05  HEX-72  PIC X(5)    VALUE '72.r2'.
           05  HEX-73  PIC X(5)    VALUE '73.s2'.
           05  HEX-74  PIC X(5)    VALUE '74.t2'.
           05  HEX-75  PIC X(5)    VALUE '75.u2'.
           05  HEX-76  PIC X(5)    VALUE '76.v2'.
           05  HEX-77  PIC X(5)    VALUE '77.w2'.
           05  HEX-78  PIC X(5)    VALUE '78.x2'.
           05  HEX-79  PIC X(5)    VALUE '79`y3'.
           05  HEX-7A  PIC X(5)    VALUE '7A:z3'.
           05  HEX-7B  PIC X(5)    VALUE '7B#{3'.
           05  HEX-7C  PIC X(5)    VALUE '7C@|3'.
           05  HEX-7D  PIC X(5)    VALUE "7D'}3".
           05  HEX-7E  PIC X(5)    VALUE '7E=~3'.
           05  HEX-7F  PIC X(5)    VALUE '7F".1'.

           05  HEX-80  PIC X(5)    VALUE '80..0'.
           05  HEX-81  PIC X(5)    VALUE '81a.1'.
           05  HEX-82  PIC X(5)    VALUE '82b.1'.
           05  HEX-83  PIC X(5)    VALUE '83c.1'.
           05  HEX-84  PIC X(5)    VALUE '84d.1'.
           05  HEX-85  PIC X(5)    VALUE '85e.1'.
           05  HEX-86  PIC X(5)    VALUE '86f.1'.
           05  HEX-87  PIC X(5)    VALUE '87g.1'.
           05  HEX-88  PIC X(5)    VALUE '88h.1'.
           05  HEX-89  PIC X(5)    VALUE '89i.1'.
           05  HEX-8A  PIC X(5)    VALUE '8A..0'.
           05  HEX-8B  PIC X(5)    VALUE '8B..0'.
           05  HEX-8C  PIC X(5)    VALUE '8C..0'.
           05  HEX-8D  PIC X(5)    VALUE '8D..0'.
           05  HEX-8E  PIC X(5)    VALUE '8E..0'.
           05  HEX-8F  PIC X(5)    VALUE '8F..0'.

           05  HEX-90  PIC X(5)    VALUE '90..0'.
           05  HEX-91  PIC X(5)    VALUE '91j.1'.
           05  HEX-92  PIC X(5)    VALUE '92k.1'.
           05  HEX-93  PIC X(5)    VALUE '93l.1'.
           05  HEX-94  PIC X(5)    VALUE '94m.1'.
           05  HEX-95  PIC X(5)    VALUE '95n.1'.
           05  HEX-96  PIC X(5)    VALUE '96o.1'.
           05  HEX-97  PIC X(5)    VALUE '97p.1'.
           05  HEX-98  PIC X(5)    VALUE '98q.1'.
           05  HEX-99  PIC X(5)    VALUE '99r.1'.
           05  HEX-9A  PIC X(5)    VALUE '9A..0'.
           05  HEX-9B  PIC X(5)    VALUE '9B..0'.
           05  HEX-9C  PIC X(5)    VALUE '9C..0'.
           05  HEX-9D  PIC X(5)    VALUE '9D..0'.
           05  HEX-9E  PIC X(5)    VALUE '9E..0'.
           05  HEX-9F  PIC X(5)    VALUE '9F..0'.

           05  HEX-A0  PIC X(5)    VALUE 'A0..0'.
           05  HEX-A1  PIC X(5)    VALUE 'A1~.1'.
           05  HEX-A2  PIC X(5)    VALUE 'A2s.1'.
           05  HEX-A3  PIC X(5)    VALUE 'A3t.1'.
           05  HEX-A4  PIC X(5)    VALUE 'A4u.1'.
           05  HEX-A5  PIC X(5)    VALUE 'A5v.1'.
           05  HEX-A6  PIC X(5)    VALUE 'A6w3'.
           05  HEX-A7  PIC X(5)    VALUE 'A7x.1'.
           05  HEX-A8  PIC X(5)    VALUE 'A8y.1'.
           05  HEX-A9  PIC X(5)    VALUE 'A9z.1'.
           05  HEX-AA  PIC X(5)    VALUE 'AA..0'.
           05  HEX-AB  PIC X(5)    VALUE 'AB..0'.
           05  HEX-AC  PIC X(5)    VALUE 'AC.2'.
           05  HEX-AD  PIC X(5)    VALUE 'AD..0'.
           05  HEX-AE  PIC X(5)    VALUE 'AE..0'.
           05  HEX-AF  PIC X(5)    VALUE 'AF..0'.

           05  HEX-B0  PIC X(5)    VALUE 'B0^.1'.
           05  HEX-B1  PIC X(5)    VALUE 'B1..0'.
           05  HEX-B2  PIC X(5)    VALUE 'B2..0'.
           05  HEX-B3  PIC X(5)    VALUE 'B3..0'.
           05  HEX-B4  PIC X(5)    VALUE 'B4..0'.
           05  HEX-B5  PIC X(5)    VALUE 'B5..0'.
           05  HEX-B6  PIC X(5)    VALUE 'B6..0'.
           05  HEX-B7  PIC X(5)    VALUE 'B7..0'.
           05  HEX-B8  PIC X(5)    VALUE 'B8..0'.
           05  HEX-B9  PIC X(5)    VALUE 'B9..0'.
           05  HEX-BA  PIC X(5)    VALUE 'BA[.1'.
           05  HEX-BB  PIC X(5)    VALUE 'BB].1'.
           05  HEX-BC  PIC X(5)    VALUE 'BC..0'.
           05  HEX-BD  PIC X(5)    VALUE 'BD..0'.
           05  HEX-BE  PIC X(5)    VALUE 'BE..0'.
           05  HEX-BF  PIC X(5)    VALUE 'BF..0'.

           05  HEX-C0  PIC X(5)    VALUE 'C0{.1'.
           05  HEX-C1  PIC X(5)    VALUE 'C1A.1'.
           05  HEX-C2  PIC X(5)    VALUE 'C2B.1'.
           05  HEX-C3  PIC X(5)    VALUE 'C3C.1'.
           05  HEX-C4  PIC X(5)    VALUE 'C4D.1'.
           05  HEX-C5  PIC X(5)    VALUE 'C5E.1'.
           05  HEX-C6  PIC X(5)    VALUE 'C6F.1'.
           05  HEX-C7  PIC X(5)    VALUE 'C7G.1'.
           05  HEX-C8  PIC X(5)    VALUE 'C8H.1'.
           05  HEX-C9  PIC X(5)    VALUE 'C9I.1'.
           05  HEX-CA  PIC X(5)    VALUE 'CA..0'.
           05  HEX-CB  PIC X(5)    VALUE 'CB..0'.
           05  HEX-CC  PIC X(5)    VALUE 'CC..0'.
           05  HEX-CD  PIC X(5)    VALUE 'CD..0'.
           05  HEX-CE  PIC X(5)    VALUE 'CE..0'.
           05  HEX-CF  PIC X(5)    VALUE 'CF..0'.

           05  HEX-D0  PIC X(5)    VALUE 'D0}.1'.
           05  HEX-D1  PIC X(5)    VALUE 'D1J.1'.
           05  HEX-D2  PIC X(5)    VALUE 'D2K.1'.
           05  HEX-D3  PIC X(5)    VALUE 'D3L.1'.
           05  HEX-D4  PIC X(5)    VALUE 'D4M.1'.
           05  HEX-D5  PIC X(5)    VALUE 'D5N.1'.
           05  HEX-D6  PIC X(5)    VALUE 'D6O.1'.
           05  HEX-D7  PIC X(5)    VALUE 'D7P.1'.
           05  HEX-D8  PIC X(5)    VALUE 'D8Q.1'.
           05  HEX-D9  PIC X(5)    VALUE 'D9R.1'.
           05  HEX-DA  PIC X(5)    VALUE 'DA..0'.
           05  HEX-DB  PIC X(5)    VALUE 'DB..0'.
           05  HEX-DC  PIC X(5)    VALUE 'DC..0'.
           05  HEX-DD  PIC X(5)    VALUE 'DD..0'.
           05  HEX-DE  PIC X(5)    VALUE 'DE..0'.
           05  HEX-DF  PIC X(5)    VALUE 'DF..0'.

           05  HEX-E0  PIC X(5)    VALUE 'E0\.1'.
           05  HEX-E1  PIC X(5)    VALUE 'E1..0'.
           05  HEX-E2  PIC X(5)    VALUE 'E2S.1'.
           05  HEX-E3  PIC X(5)    VALUE 'E3T.1'.
           05  HEX-E4  PIC X(5)    VALUE 'E4U.1'.
           05  HEX-E5  PIC X(5)    VALUE 'E5V.1'.
           05  HEX-E6  PIC X(5)    VALUE 'E6W.1'.
           05  HEX-E7  PIC X(5)    VALUE 'E7X.1'.
           05  HEX-E8  PIC X(5)    VALUE 'E8Y.1'.
           05  HEX-E9  PIC X(5)    VALUE 'E9Z.1'.
           05  HEX-EA  PIC X(5)    VALUE 'EA..0'.
           05  HEX-EB  PIC X(5)    VALUE 'EB..0'.
           05  HEX-EC  PIC X(5)    VALUE 'EC..0'.
           05  HEX-ED  PIC X(5)    VALUE 'ED..0'.
           05  HEX-EE  PIC X(5)    VALUE 'EE..0'.
           05  HEX-EF  PIC X(5)    VALUE 'EF..0'.

           05  HEX-F0  PIC X(5)    VALUE 'F00.1'.
           05  HEX-F1  PIC X(5)    VALUE 'F11.1'.
           05  HEX-F2  PIC X(5)    VALUE 'F22.1'.
           05  HEX-F3  PIC X(5)    VALUE 'F33.1'.
           05  HEX-F4  PIC X(5)    VALUE 'F44.1'.
           05  HEX-F5  PIC X(5)    VALUE 'F55.1'.
           05  HEX-F6  PIC X(5)    VALUE 'F66.1'.
           05  HEX-F7  PIC X(5)    VALUE 'F77.1'.
           05  HEX-F8  PIC X(5)    VALUE 'F88.1'.
           05  HEX-F9  PIC X(5)    VALUE 'F99.1'.
           05  HEX-FA  PIC X(5)    VALUE 'FA..0'.
           05  HEX-FB  PIC X(5)    VALUE 'FB..0'.
           05  HEX-FC  PIC X(5)    VALUE 'FC..0'.
           05  HEX-FD  PIC X(5)    VALUE 'FD..0'.
           05  HEX-FE  PIC X(5)    VALUE 'FE..0'.
           05  HEX-FF  PIC X(5)    VALUE 'FF..0'.

       01  TABLE-OF-PRINT          REDEFINES TABLE-OF-DATA.
           05  TAB-X1  PIC X(5)    OCCURS 256 TIMES.
      *
      ***  HEXTABLE - End-of-Copy File - - - - - - - - - - - HEXTABLE *
      *****************************************************************
      *
