//NUMBERJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text    - COBOL and Commonly User Numeric Formats
//* Author  - SimoTime Technologies
//* Date    - November 11, 2003
//* Version - 06.03.22
//*
//* This set of programs illustrates the use of some of the commonly
//* used numeric formats. It will show actual hex-dump content of
//* the fields along with the field length for the display format
//* (actual digits), the packed format (COMP-3) and the binary (COMP)
//* formats.
//*
//* When running with Net Express the IBMCOMP an NOTRUNC directives
//* will be required to maintain compatability with the mainframe
//* format and field sizes for binary fields.
//*
//* This technique provides for the use of a single set of COBOL
//* source programs that will run on OS/390, Windows or UNIX.
//*
//* This set of programs will run on a Personal Computer with Windows
//* and Micro Focus Mainframe Express or a Mainframe with OS/390.
//*
//* Note: if all three COBOL programs are compiled with a mainframe
//* dialect then the following JCL will work as expected.
//*
//* In some non-mainframe environments it may be a requirement to
//* call the SIMODUMP and SIMOLOGS programs from programs that may
//* be compiled in a mainframe or non-mainframe dialect.
//*
//* The SimoDUMP and SIMOLOGS programs may be compiled with a
//* Micro Focus dialect and the SYSLOG references in this JCL member
//* will be ignored. The mapping of the SYSLOG will be dependent on
//* a SYSLOG environment variable setting.
//*
//*   ************
//*   * NUMBERJ1 *
//*   ********jcl*
//*        *
//*   ************
//*   * SIMOEXEC *
//*   ********exe*
//*        *
//*        *
//*        *
//*   ************     ************
//*   * NUMBERC1 ******* SIMODUMP *
//*   ********cbl*     ********cbl*
//*        *                *
//*        *           ************     ************
//*        *           * SIMOLOGS ******* CONSOLE  *
//*        *           ********cbl*  *  ************
//*        *                         *
//*   ************                   *  ************
//*   *   EOJ    *                   ****  SYSLOG  *
//*   ************                      *******data*
//*
//* *******************************************************************
//* Step-1 This job step will delete a previously created
//*        hex-dump file.
//*
//SYSLOGDT EXEC PGM=IEFBR14
//SYSLOG   DD  DSN=SIMOTIME.DATA.SYSLOG,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//*
//* *******************************************************************
//* STEP-2 Allocate a new SYSLOG file.
//* Note:  The LRECL is four (4) bytes bigger than the logical record
//*        that is defined in the program that writes to SYSLOG. This
//*        allows for the four (4) byte Record Descriptor Word (RDW)
//*        that is appended to the front of each record. The program
//*        defines the records as varying in size from 64 to 1,051.
//* Note:  It is necessary to pre-allocate the SYSLOG file. The program
//*        that does the actual file compare will do an "OPEN EXTEND".
//*        If the file is not pre-allocated, an open error will be
//*        posted and the program will execute but will only display
//*        truncated information to SYSOUT.
//SYSLOGCT EXEC PGM=IEFBR14
//SYSLOG   DD  DSN=SIMOTIME.DATA.SYSLOG,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//*
//* *******************************************************************
//* Step-3 Execute the program.
//*
//NUMBERX1 EXEC PGM=NUMBERC1,PARM='SYSOUT(BOTH)'
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//*            The following DD statement is for the logging file.
//SYSLOG   DD  DSN=SIMOTIME.DATA.SYSLOG,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
